curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"stationId": "<string>",
"kind": "<string>",
"format": "<string>",
"status": "<string>",
"printerName": "<string>",
"copies": 123,
"metadata": {},
"attemptCount": 123,
"error": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"assignedAt": "2023-11-07T05:31:56Z",
"printedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"availablePrinters": [
"<string>"
]
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "<string>"
}Send a test print (PickFlow)
Queue a test page to a station. Target printer: the printer parameter (must exist on the station), else the station’s default printer, else the first printer flagged default, else the first printer. A ZPL test label is sent when the chosen printer’s driver is ZPL; otherwise a one-page PDF.
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/print-stations/{id}/test-print")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"stationId": "<string>",
"kind": "<string>",
"format": "<string>",
"status": "<string>",
"printerName": "<string>",
"copies": 123,
"metadata": {},
"attemptCount": 123,
"error": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"assignedAt": "2023-11-07T05:31:56Z",
"printedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"availablePrinters": [
"<string>"
]
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "<string>"
}Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Print station ID.
Query Parameters
Printer name on the station. May also be sent in the JSON body.
Response
Test print job queued
Payload-free print job summary (camelCase keys).
Print job ID.
ID of the station the job was sent to.
Job kind (shipping_label, packing_slip, or raw).
Payload format (zpl or pdf).
Job status (e.g. queued, assigned, printed, failed).
Last error reported by the station, if any.